QXmlDTDHandler(3qt)

NAME
QXmlDTDHandler - Interface to report DTD content of XML data <h1 align=center>QXmlDTDHandler Class Reference
<small>[ XML module ]</small></h1>

#include <qxml.h>

Inherited by QXmlDefaultHandler.

  Public Members
virtual bool notationDecl ( const QString & name, const QString & publicId, const QString & systemId )
virtual bool unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName )
virtual QString errorString ()

DESCRIPTION
The QXmlDTDHandler class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, then the application implements this interface and registers an instance with QXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report: notation and unparsed entity declarations.

See also the "Introduction to SAX2".

See also QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlErrorHandler and QXmlLexicalHandler.

MEMBER FUNCTION DOCUMENTATION

QString QXmlDTDHandler::errorString () [virtual]
The reader calls this function to get an error string if any of the handler functions returns FALSE to him.

Reimplemented in QXmlDefaultHandler.

bool QXmlDTDHandler::notationDecl ( const QString & name, const QString & publicId, const QString & systemId ) [virtual]
The reader calls this function when he has parsed a notation declaration.

The argument name is the notation name, publicId is the notations's public identifier and systemId is the notations's system identifier.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

bool QXmlDTDHandler::unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName ) [virtual]
The reader calls this function when he finds an unparsed entity declaration.

The argument name is the unparsed entity's name, publicId is the entity's public identifier, systemId is the entity's system identifier and notation is the name of the associated notation.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

SEE ALSO
http://doc.trolltech.com/qxmldtdhandler.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.